alias tf='tail -25f'
alias l='ls -lF'
alias la='ls -laF'
+alias less='less -R'
alias clr='clear'
alias cls='clear'
alias d='date'
echo $(cd $relpath; pwd -P)/$(basename $1)
return 0
}
+
+function sayStatus () { local _status=$?; if [[ $_status -eq 0 ]]; then say "Success"; else say "Failed"; fi; return $_status }
}
setopt PROMPT_SUBST
-setopt INC_APPEND_HISTORY
setopt SHARE_HISTORY
setopt extended_glob
+setopt AUTO_CD
+setopt DVORAK
PS1=$'%(?.😊.😡) %(1v.%1v .)%n@%m:%(3~,.../,)%2~> '
-PATH=~/bin:$PATH
+PATH=~/bin:$PATH:~/homebrew/bin:
if [[ -d ~/homebrew/bin ]]; then
PATH=$PATH:~/homebrew/bin
-#/bin/zsh
+#!/bin/zsh
switchto() {
export OLD_WEBKIT_DIR=$WEBKIT_DIR
export WEBKIT_DIR=~/Projects/WebKit.$1
- export WEBKIT_OUTPUTDIR=$WEBKIT_DIR/OpenSource/WebKitBuild
- export PERP_BUILD_PATH=$WEBKIT_OUTPUTDIR
+ export PERP_BUILD_PATH=$WEBKIT_DIR/OpenSource/WebKitBuild
if [[ "$OLD_WEBKIT_DIR" == "" ]]; then
export PATH=$PATH:$WEBKIT_DIR/Internal/Tools/Scripts:$WEBKIT_DIR/OpenSource/Tools:$WEBKIT_DIR/OpenSource/Tools/Scripts
export CDPATH=$CDPATH:$WEBKIT_DIR/OpenSource:$WEBKIT_DIR/OpenSource/Source:$WEBKIT_DIR/Internal
compdef _switchto switchto
-if [[ $( has subl ) == 'yes' ]]; then
+if [[ $( has sedit ) == 'yes' ]]; then
+ export GUI_EDITOR="sedit -w"
+elif [[ $( has subl ) == 'yes' ]]; then
export GUI_EDITOR="subl -w"
elif [[ $( has bbedit ) == 'yes' ]]; then
- export GUI_EDITOR="bbedit -w"
+ export GUI_EDITOR="bbedit"
elif [[ $( has mate_wait ) == 'yes' ]]; then
export GUI_EDITOR="mate_wait"
else